\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Boost Graph Library

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Functions
CGAL::internal Namespace Reference

Operation on faces. More...

## Classes
struct | IsTerminalDefault
struct | Dummy_visitor_for_split_graph_into_polylines

## Functions
template<typename FaceGraph >
boost::enable_if < Has_member_clear< FaceGraph > , void >::type | clear_impl (FaceGraph &g)
template<typename FaceGraph >
boost::disable_if < Has_member_clear< FaceGraph > , void >::type | clear_impl (FaceGraph &g)
template<class FaceRange , class FaceGraph , class IsFaceSelectedPMap , class OutputIterator >
OutputIterator | extract_selection_boundary (FaceRange &face_range, FaceGraph &fg, IsFaceSelectedPMap is_selected, OutputIterator out)
template<typename Graph , typename OrigGraph , typename IsTerminal >
void | split_graph_into_polylines (Graph &graph, const OrigGraph &orig, IsTerminal is_terminal)
| Splits a graph at vertices with degree higher than two and at vertices where `is_terminal returns`true` The vertices are duplicated, and new incident edges created. More...

## Definition

Operation on faces.

## Function Documentation

template<typename Graph , typename OrigGraph , typename IsTerminal >

void CGAL::internal::split_graph_into_polylines | ( | Graph & | graph,
|  | const OrigGraph & | orig,
|  | IsTerminal | is_terminal
| ) |  |

Splits a graph at vertices with degree higher than two and at vertices where `is_terminal returns`true` The vertices are duplicated, and new incident edges created.

OrigGraph must be undirected